## org.hibernate.event.def
Class DefaultPreLoadEventListener

    java.lang.Object
      org.hibernate.event.def.DefaultPreLoadEventListener

All Implemented Interfaces:
  Serializable, PreLoadEventListener

    public class DefaultPreLoadEventListener

extends Object
implements PreLoadEventListener

Called before injecting property values into a newly loaded entity instance.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`DefaultPreLoadEventListener()`

Method Summary
`void` `onPreLoad(PreLoadEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPreLoadEventListener

    public DefaultPreLoadEventListener()

Method Detail

### onPreLoad

    public void onPreLoad(PreLoadEvent event)

  Specified by:
    `onPreLoad` in interface `PreLoadEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.